Bug 427330 - Review Request: python-twyt - An interface to Twitter API functions for Python
Review Request: python-twyt - An interface to Twitter API functions for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 01:15 EST by Andrew Price
Modified: 2008-05-18 14:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-04 00:45:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrew Price 2008-01-03 01:15:43 EST
Spec URL: http://andyp.fedorapeople.org/newpkg/python-twyt.spec
SRPM URL: http://andyp.fedorapeople.org/newpkg/python-twyt-0.7-1.fc8.src.rpm

Description:

The twyt python module provides an interface to the remote Twitter API functions and classes to allow easy manipulation of the returned sets of data, such as status messages and user information.

This package also provides an example command line Twitter client called twyt
which utilises the provided modules.
Comment 1 Parag AN(पराग) 2008-01-03 01:46:20 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
d22a08622ea3bb4597df44a2f6593f40  twyt-0.7.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ generated egg-info successfully.
APPROVED.
Comment 2 Andrew Price 2008-01-03 02:00:51 EST
New Package CVS Request
=======================
Package Name: python-twyt
Short Description: Twitter API interface for Python
Owners: andyp
Branches: F-8
InitialCC: 
Cvsextras Commits: no
Comment 3 Kevin Fenzi 2008-01-03 23:25:10 EST
cvs done.

Any particular reason for not allowing cvsextras commits? 
Comment 4 Andrew Price 2008-01-04 00:45:07 EST
Ah, it was a thinko, the "no" should have been a "yes". I must have been tired.
Thanks anyway, Kevin.

The package has successfully built, closing as NEXTRELEASE.
Comment 5 Andrew Price 2008-05-18 00:16:51 EDT
New Package CVS Request
=======================
Package Name: python-twyt
Short Description: Twitter API interface for Python
Owners: andyp
Branches: F-9
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-05-18 14:02:01 EDT
There already is a F-9 branch. Make sure you are doing 'cvs update -d' 

Note You need to log in before you can comment on or make changes to this bug.